<div class="px-2 pb-4 d-flex flex-column gap-4">

  <app-pagination
    [totalCount]="totalCount"
    (pageChange)="pageChange($event)">
  </app-pagination>

  <ul class="list-group">
    @for (superHero of ((superHeros | async) | slice: firstElement() : lastElement());track superHero.id) {
      <li class="list-group-item cursor-pointer" [routerLink]="['/', 'super-heroes', superHero.id, 'details']">
        <div class="ms-2 me-auto">
          <div class="fw-bold">{{ superHero.nameSuperHero }}</div>
          {{ superHero.alterEgo }}
        </div>
      </li>
    } @empty {
      <span> no super hero </span>
    }
  </ul>
</div>
